<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Vehiculo".
 *
 * @property string $id
 * @property string|null $nombre
 * @property int|null $ano
 * @property string|null $color
 * @property string|null $placa
 * @property string|null $serie
 * @property string|null $creado
 * @property string|null $marca
 * @property string|null $tipo
 * @property string|null $descripcion
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class Vehiculo extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Vehiculo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['ano'], 'default', 'value' => null],
            [['ano'], 'integer'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['nombre', 'color', 'placa', 'serie','tipo','marca','descripcion'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'ano' => 'Ano',
            'color' => 'Color',
            'placa' => 'Placa',
            'serie' => 'Serie',
            'creado' => 'Creado',
            'tipo' => 'Tipo',
            'marca' => 'Marca',
            'descripcion' => 'Descripcion',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
