<?php

namespace v1\models;

use app\models\Servicio as ModeloServicio;
use app\models\ServicioElemento;
use app\models\Taller;
use app\models\Vehiculo;

class Servicio extends ModeloServicio {

    public function fields() {
        return [
            'id',
            'factura',
            'tipo',
            'descripcion',
            'fechaServicio',
            'idTaller',
            'idVehiculo',
            'creado',
            'modificado',
        ];
    }

    public function extraFields() {
        return [
            'taller',
            'vehiculo',
            'servicioElemento'
        ];
    }

    public function getTaller() {
        return $this->hasOne(Taller::class, ['id' => 'idTaller']);
    }

    public function getVehiculo() {
        return $this->hasOne(Vehiculo::class, ['id' => 'idVehiculo']);
    }

    public function getServicioElemento()
    {
        return $this->hasMany(ServicioElemento::class, ['idServicio' => 'id']);
    }
}
